clear all

scrsz = get(0,'ScreenSize');
figure('Position',[1 scrsz(4) scrsz(3)*0.8 scrsz(4)*.6])
format long;
textsize =18;

alphavals = 0:0.01:1;
alphavals1 = 0:0.01:0.6;
blue1 = [0, 255, 255]/255;
blue2 = [0, 191, 255]/255;
blue3 = [0, 0, 255]/255;


%% Predator-prey
subplot(241)
hold on

IEvals = importdata('Generalist_PanelA_P_indirecteffect.txt');

plot(alphavals,-IEvals,'-k','LineWidth',2)

set(gca,'ycolor','k','FontSize',textsize)
set(gca,'Box','on')
xlabel('Interspecific competition','FontSize',textsize,'Color','w')
ylabel({'Indirect Effect Between';'Predators'},'FontSize',textsize)
ylim([-1 1])
xlim([0 1])
set(gca,'XTick',[0 0.5 1])
set(gca,'YTick',[-1 -0.5 0 0.5 1])
title('A: Predators')

%% Density Dependent Direct Transmission 1
subplot(242)
hold on

IEvals1 = importdata('Generalist_PanelB_I_IndirectEffect_eij0.txt');
IEvals2 = importdata('Generalist_PanelB_I_IndirectEffect_eij05.txt');
IEvals3 = importdata('Generalist_PanelB_I_IndirectEffect_eij1.txt');
IEvals4 = importdata('Generalist_PanelB_I_IndirectEffect_eij2.txt');

plot(alphavals,-IEvals1*1000,'--k','LineWidth',2)
plot(alphavals,-IEvals2*1000,'-b','LineWidth',2)
plot(alphavals,-IEvals3*1000,'-k','LineWidth',2)
plot(alphavals,-IEvals4*1000,'-r','LineWidth',2)

set(gca,'ycolor','k','FontSize',textsize)
set(gca,'Box','on')
xlabel('Interspecific competition','FontSize',textsize,'Color','w')
ylabel('Inf. Host Classes','FontSize',textsize)
ylim([-10 10])
xlim([0 1])
set(gca,'XTick',[0 0.5 1])
set(gca,'YTick',[-10 -5 0 5 10])
title('B: Direct Trans.')

%% Density Dependent Direct Transmission 2
subplot(243)
hold on

IEvals1 = importdata('Generalist_PanelC_I_IndirectEffect_eij0.txt');
IEvals2 = importdata('Generalist_PanelC_I_IndirectEffect_eij05.txt');
IEvals3 = importdata('Generalist_PanelC_I_IndirectEffect_eij1.txt');
IEvals4 = importdata('Generalist_PanelC_I_IndirectEffect_eij2.txt');

plot(alphavals,-IEvals1*100,'--k','LineWidth',2)
plot(alphavals,-IEvals2*100,'-b','LineWidth',2)
plot(alphavals,-IEvals3*100,'-k','LineWidth',2)
plot(alphavals,-IEvals4*100,'-r','LineWidth',2)

set(gca,'ycolor','k','FontSize',textsize)
set(gca,'Box','on')
xlabel('Interspecific competition','FontSize',textsize,'Color','w')
ylabel('Inf. Host Classes','FontSize',textsize)
ylim([-4 0])
xlim([0 1])
set(gca,'XTick',[0 0.5 1])
set(gca,'YTick',[-4 -2 0 2 4])
title('C: Direct Trans.')

%% Density Dependent Direct Transmission
subplot(244)
hold on

IEvals1 = importdata('Generalist_PanelD_I_IndirectEffect_Pos.txt');
IEvals2 = importdata('Generalist_PanelD_I_IndirectEffect_PosNeg.txt');

plot(alphavals(1:100),-IEvals1*1000,'-k','LineWidth',2)
plot(alphavals(1:61),-IEvals2*1000,'--k','LineWidth',2)

set(gca,'ycolor','k','FontSize',textsize)
set(gca,'Box','on')
xlabel('Interspecific competition','FontSize',textsize,'Color','w')
ylabel('Inf. Host Classes','FontSize',textsize)
ylim([-12 12])
xlim([0 1])
set(gca,'XTick',[0 0.5 1])
set(gca,'YTick',[-12 -6 0 6 12])
title('D: Direct Trans.')


%% Environmental Transmission - I-I indirect effects
subplot(245)
hold on

IEvals1 = importdata('Generalist_PanelE_I_IndirectEffect_eij0.txt');
IEvals2 = importdata('Generalist_PanelE_I_IndirectEffect_eij025.txt');
IEvals3 = importdata('Generalist_PanelE_I_IndirectEffect_eij1.txt');
IEvals4 = importdata('Generalist_PanelE_I_IndirectEffect_eij2.txt');

plot(alphavals,-IEvals1,'--k','LineWidth',2)
plot(alphavals,-IEvals2,'-b','LineWidth',2)
plot(alphavals,-IEvals3,'-k','LineWidth',2)
plot(alphavals,-IEvals4,'-r','LineWidth',2)

set(gca,'ycolor','k','FontSize',textsize)
set(gca,'Box','on')
xlabel('Interspecific competition','FontSize',textsize)
ylabel({'Indirect Effect Between';'Inf. Host Classes'},'FontSize',textsize)
ylim([-10 25])
xlim([0 1])
set(gca,'XTick',[0 0.5 1])
set(gca,'YTick',[-20 -10 0 10 20])
title('E: Env. Trans.')

%% Environmental Transmission - P-P indirect effects
subplot(246)
hold on

IEvals1 = importdata('Generalist_PanelF_P_IndirectEffect_eij0.txt');
IEvals2 = importdata('Generalist_PanelF_P_IndirectEffect_eij025.txt');
IEvals3 = importdata('Generalist_PanelF_P_IndirectEffect_eij1.txt');
IEvals4 = importdata('Generalist_PanelF_P_IndirectEffect_eij2.txt');

plot(alphavals,-IEvals1,'--k','LineWidth',2)
plot(alphavals,-IEvals2,'-b','LineWidth',2)
plot(alphavals,-IEvals3,'-k','LineWidth',2)
plot(alphavals,-IEvals4,'-r','LineWidth',2)


set(gca,'ycolor','k','FontSize',textsize)
set(gca,'Box','on')
xlabel('Interspecific competition','FontSize',textsize)
ylabel('Propagules','FontSize',textsize)
ylim([-2 5])
xlim([0 1])
set(gca,'XTick',[0 0.5 1])
set(gca,'YTick',[-4 -2 0 2 4])
title('F: Env. Trans.')


%% Environmental Transmission with Uptake - I-I indirect effects
subplot(247)
hold on

IEvals1 = importdata('Generalist_PanelG_I_IndirectEffect_fij0.txt');
IEvals2 = importdata('Generalist_PanelG_I_IndirectEffect_fij5.txt');

plot(alphavals,-IEvals1,'--k','LineWidth',2)
plot(alphavals,-IEvals2,'-k','LineWidth',2)

set(gca,'ycolor','k','FontSize',textsize)
set(gca,'Box','on')
xlabel('Interspecific competition','FontSize',textsize)
ylabel('Inf. Host Classes','FontSize',textsize)
ylim([-24 60])
xlim([0 1])
set(gca,'XTick',[0 0.5 1])
set(gca,'YTick',[-60 -30 0 30 60])
title('G: Env. Trans.')

%% Environmental Transmission with Uptake - P-P indirect effects
subplot(248)
hold on

IEvals1 = importdata('Generalist_PanelH_P_IndirectEffect_fij0.txt');
IEvals2 = importdata('Generalist_PanelH_P_IndirectEffect_fij5.txt');

plot(alphavals,-IEvals1*1000,'--k','LineWidth',2)
plot(alphavals,-IEvals2*1000,'-k','LineWidth',2)

set(gca,'ycolor','k','FontSize',textsize)
set(gca,'Box','on')
xlabel('Interspecific competition','FontSize',textsize)
ylabel('Propagules','FontSize',textsize)
ylim([-1 2.5])
xlim([0 1])
set(gca,'XTick',[0 0.5 1])
set(gca,'YTick',[-2 -1 0 1 2])
title('H: Env. Trans.')